StarObjectSmallGraphicInternal::SdrGraphicEdge::Information Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SdrGraphicEdge::Information Struct Reference

the information record More...

## Public Member Functions
| Information ()
| constructor More...

## Public Attributes
STOFFVec2i | m_points [5]
| some points: obj1Line2, obj1Line3, obj2Line2, obj2Line3, middleLine More...
int | m_angles [2]
| two angles More...
int | m_n [3]
| some values: nObj1Lines, nObj2Lines, middleLines More...
int | m_orthoForm
| orthogonal form More...

## Friends
std::ostream & | operator<< (std::ostream &o, Information const &info)
| operator= More...

## Detailed Description

the information record

## Constructor & Destructor Documentation

StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::Information | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Information const & | info
| ) |  |
| friend

operator=

## Member Data Documentation

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_angles[2]

two angles

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_n[3]

some values: nObj1Lines, nObj2Lines, middleLines

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

int StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_orthoForm

orthogonal form

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

STOFFVec2i StarObjectSmallGraphicInternal::SdrGraphicEdge::Information::m_points[5]

some points: obj1Line2, obj1Line3, obj2Line2, obj2Line3, middleLine

Referenced by StarObjectSmallGraphic::readSVDRObjectEdge().

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx